# Info files

FreeBSD Porter's Handbook
Prev | Chapter 5 ³]©w Makefile | Next

# 5.10 Info files

If your package needs to install GNU info files, they should be listed in the `INFO` variable (without the trailing `.info`), one entry per document. These files are assumed to be installed to ``PREFIX`/`INFO_PATH``. You can change `INFO_PATH` if your package uses a different location. However, this is not recommended. These entries contain just the path relative to ``PREFIX`/`INFO_PATH``. For example, `lang/gcc33` installs info files to ``PREFIX`/`INFO_PATH`/gcc33`, and `INFO` will be something like this:

    INFO= gcc33/cpp gcc33/cppinternals gcc33/g77 ...

Appropriate installation/de-installation code will be automatically added to the temporary `pkg-plist` before package registration.

Prev | Home | Next
Manpages | Up | Makefile Options

For questions about the FreeBSD ports system, e-mail <ports@FreeBSD.org>.
For questions about this documentation, e-mail <doc@FreeBSD.org>.